import { directive } from 'lit-html';
import { unsafeHTML } from 'lit-html/directives/unsafe-html';
// @ts-ignore
import Prism from 'prismjs';
import { templateLoader } from '../utils/template-loader';
const previousValues = new WeakMap();
const loadTemplate = templateLoader({ cdn: 'https://unpkg.com/prismjs@1.20.0' });
const renderTemplate = (part) => (template) => {
    const { code, language } = previousValues.get(part);
    const tokens = Prism.highlight(code, template, language);
    part.setValue(unsafeHTML(tokens));
    part.commit();
};
export const tokenizeMarkup = directive((code, language) => (part) => {
    const current = previousValues.get(part);
    previousValues.set(part, Object.assign(Object.assign({}, current), { code, language }));
    if (!current || code !== current.code || language !== current.language) {
        loadTemplate(language).then(renderTemplate(part));
    }
});
export default tokenizeMarkup;
//# sourceMappingURL=tokenize-markup.js.map