export const getLanguages = (language) => {
    return [language].concat(dependencies[language]);
};
export const dependencies = {
    javascript: 'clike',
    actionscript: 'javascript',
    arduino: 'cpp',
    aspnet: ['markup', 'csharp'],
    bison: 'c',
    c: 'clike',
    csharp: 'clike',
    cpp: 'c',
    coffeescript: 'javascript',
    crystal: 'ruby',
    'css-extras': 'css',
    d: 'clike',
    dart: 'clike',
    django: 'markup-templating',
    ejs: ['javascript', 'markup-templating'],
    etlua: ['lua', 'markup-templating'],
    erb: ['ruby', 'markup-templating'],
    fsharp: 'clike',
    'firestore-security-rules': 'clike',
    flow: 'javascript',
    ftl: 'markup-templating',
    glsl: 'clike',
    gml: 'clike',
    go: 'clike',
    groovy: 'clike',
    haml: 'ruby',
    handlebars: 'markup-templating',
    haxe: 'clike',
    java: 'clike',
    javadoc: ['markup', 'java', 'javadoclike'],
    jolie: 'clike',
    jsdoc: ['javascript', 'javadoclike'],
    'js-extras': 'javascript',
    'js-templates': 'javascript',
    jsonp: 'json',
    json5: 'json',
    kotlin: 'clike',
    latte: ['clike', 'markup-templating', 'php'],
    less: 'css',
    lilypond: 'scheme',
    markdown: 'markup',
    'markup-templating': 'markup',
    n4js: 'javascript',
    nginx: 'clike',
    objectivec: 'c',
    opencl: 'cpp',
    parser: 'markup',
    php: ['clike', 'markup-templating'],
    phpdoc: ['php', 'javadoclike'],
    'php-extras': 'php',
    plsql: 'sql',
    processing: 'clike',
    protobuf: 'clike',
    pug: ['markup', 'javascript'],
    qml: 'javascript',
    qore: 'clike',
    jsx: ['markup', 'javascript'],
    tsx: ['jsx', 'typescript'],
    reason: 'clike',
    ruby: 'clike',
    sass: 'css',
    scss: 'css',
    scala: 'java',
    'shell-session': 'bash',
    smarty: 'markup-templating',
    solidity: 'clike',
    soy: 'markup-templating',
    sparql: 'turtle',
    sqf: 'clike',
    swift: 'clike',
    tap: 'yaml',
    textile: 'markup',
    tt2: ['clike', 'markup-templating'],
    twig: 'markup',
    typescript: 'javascript',
    't4-cs': ['t4-templating', 'csharp'],
    't4-vb': ['t4-templating', 'visual-basic'],
    vala: 'clike',
    vbnet: 'basic',
    velocity: 'markup',
    wiki: 'markup',
    xeora: 'markup',
    xquery: 'markup',
};
//# sourceMappingURL=template-dependencies.js.map