import { __awaiter } from "tslib";
import { getLanguages } from './template-dependencies';
import { resolveAlias } from './template-aliases';
// @ts-ignore
import Prism from 'prismjs';
const loadLanguage = (cdn, attr) => (language) => new Promise((resolve) => {
    const template = Prism.languages[language];
    if (!template && !document.head.querySelector(`[${attr}="[${language}]"`)) {
        const el = document.createElement('script');
        el.setAttribute(attr, language);
        el.setAttribute('src', `${cdn}/components/prism-${language}.min.js`);
        el.addEventListener('load', () => resolve(Prism.languages[language]));
        document.head.appendChild(el);
    }
    else {
        resolve(template);
    }
});
export function templateLoader(config) {
    const { cdn, attr } = Object.assign(Object.assign({}, config), { cdn: 'https://unpkg.com/prismjs', attr: 'data-prism-language' });
    return (language) => __awaiter(this, void 0, void 0, function* () {
        const loader = loadLanguage(cdn, attr);
        yield Promise.all(getLanguages(resolveAlias(language)).filter(lang => !!lang).map(loader));
        return Prism.languages[language];
    });
}
export default templateLoader;
//# sourceMappingURL=template-loader.js.map